# Update Member

This API is used to update subscribed member data on Faspay. Merchants can only change for parameters:

* member\_name
* member\_email
* process\_date
* recurring\_amount
* recurring\_end\_date
* recurring\_status

### URL EndPoint

<table><thead><tr><th width="723">URL - Development</th></tr></thead><tbody><tr><td><a href="https://fpg-sandbox.faspay.co.id/recurring/process/update">https://fpg-sandbox.faspay.co.id/recurring/process/update</a></td></tr></tbody></table>

### Request Parameter:&#x20;

{% tabs %}
{% tab title="Parameters" %}

<table><thead><tr><th width="233.08435650604122">Parameter</th><th width="132">Data Type</th><th width="93" align="center">M/O/C</th><th width="312">Description</th></tr></thead><tbody><tr><td>request</td><td>Varchar</td><td align="center">O</td><td>Request Description</td></tr><tr><td>merchant_id</td><td>Numeric (5)</td><td align="center">M</td><td>ID Merchant</td></tr><tr><td>merchant</td><td>Varchar (32)</td><td align="center">O</td><td>Merchant Name</td></tr><tr><td>member_id</td><td>Varchar (50)</td><td align="center">M</td><td>Merchant’s member ID</td></tr><tr><td>member_name</td><td>Varchar (50)</td><td align="center">M</td><td>Merchant’s member name</td></tr><tr><td>member_email</td><td>Varchar (50)</td><td align="center">M</td><td>Merchant’s member email</td></tr><tr><td>member_email_notif</td><td>Numeric (1)</td><td align="center">M</td><td><p>Member’s email Notification</p><p>1= True, 0= False</p></td></tr><tr><td>process_date</td><td>Varchar</td><td align="center">M</td><td><p>Process date = Date,Date (up to 9 times)</p><p>Process date, this parameters used for date of transaction and date of retry recurring if there is a failed recurring.</p><p> </p><p>Sample:</p><p><strong>process_date</strong> = "<strong>16</strong>,20,22,24,26,28,30,31". (Max 9 date)</p><p> </p><p><strong>16</strong> is a date for register new recurring transaction date.</p><p> </p><p>20,22,24,26,28,30,31 is a date for retry recurring if any failed recurring to this member.</p></td></tr><tr><td>recurring_amount</td><td>Numeric (12)</td><td align="center">M</td><td>Recurring amount</td></tr><tr><td>recurring_start_date</td><td>Date</td><td align="center">M</td><td><p>Recurring start date</p><p>Format= YYYY-MM-DD</p></td></tr><tr><td>recurring_end_date</td><td>Date</td><td align="center">M</td><td><p>Recurring End Date</p><p>Format= YYYY-MM-DD</p></td></tr><tr><td>recurring_period</td><td>Varchar (1)</td><td align="center">M</td><td><p>Recurring Period</p><p>D = Daily, M = Monthly, Y = Yearly</p></td></tr><tr><td>recurring_period_at</td><td>Numeric (1)</td><td align="center">M</td><td><p>Repetition of Recurring Period, sample case: if user fill recurring_period with M (monthly), recurring_perriod_at is used for repetition of deduction by period. Sample:        </p><p>-recurring_period: M</p><p>-recurring_perriod_at: 1</p><p>so, recurring will process by system per months, if fill with 3, recurring will process per 3 months.</p></td></tr><tr><td>recurring_accumulate_at</td><td>Numeric (1)</td><td align="center">M</td><td>Repetition of Recurring Accumulate in Days</td></tr><tr><td>recurring_status</td><td>Numeric (2)</td><td align="center">M</td><td><p>Recurring Status:</p><p>0 = False</p><p>1 = True</p></td></tr><tr><td>card_expire_notif</td><td>Numeric (1)</td><td align="center">M</td><td><p>Value=1, then if one month the credit card is about expire, it will be notified to the Merchant. </p><p></p><p>Value=0, then it will not be notified to the merchant</p></td></tr><tr><td>signature</td><td>Varchar (50)</td><td align="center">M</td><td>sha1(md5(transaction account + transaction password + member_id))</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Code Request" %}

```json
{
    "merchant_id":"99999",
    "merchant":"Sophia Store",
    "member_id":"20210726085543",
    "member_name":"John Doe",
    "member_email":"john@gmail.com",
    "member_email_notif":"1",
    "process_date":"16,20,22,24,26,28,30,31",
    "recurring_amount":"80000",
    "recurring_start_date":"2021-07-26",
    "recurring_end_date":"2022-07-26",
    "recurring_period":"M",
    "recurring_period_at":"1",
    "recurring_accumulate":"1",
    "recurring_accumulate_at":"1",
    "recurring_status":"1",
    "card_expire_notif":"1",
    "signature":"f2f80fe2d49f9a73a6cc6fe92c12776d41cc27b3"
}
```

{% endtab %}
{% endtabs %}

### Response:&#x20;

{% tabs %}
{% tab title="Parameters" %}

<table><thead><tr><th width="175">Parameter</th><th width="135">Data Type</th><th width="81" align="center">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>response</td><td>Varchar</td><td align="center">O</td><td>Response description</td></tr><tr><td>merchant_id</td><td>Numeric (5)</td><td align="center">M</td><td>Merchant Code</td></tr><tr><td>merchant</td><td>Varchar (32)</td><td align="center">O</td><td>Merchant name</td></tr><tr><td>member_id</td><td>Varchar (50)</td><td align="center">M</td><td>Merchant’s member ID</td></tr><tr><td>response_code</td><td>Varchar (50)</td><td align="center">M</td><td><p>Response code</p><p>0: Success<br>1: Failed</p></td></tr><tr><td>response_desc</td><td>Varchar (50)</td><td align="center">M</td><td>Response Description </td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Code Response" %}

```json
{
  "response": "Update Member-Recurring",
  "merchant_id": "99999",
  "merchant": "Sophia Store",
  "member_id": "20210726085543",
  "response_code": "0",
  "response_desc": "Success"
   }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/recurring-payment-api/json-message-format/update-member.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
